Bug 487901 - Review Request: zikula - web-based CMS
Review Request: zikula - web-based CMS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clint Savage
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-28 23:26 EST by David Nalley
Modified: 2009-03-23 12:00 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.1.1-12.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 11:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
herlo1: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2009-02-28 23:26:40 EST
Spec URL: http://ke4qqq.fedorapeople.org/zikula.spec
SRPM URL: http://ke4qqq.fedorapeople.org/zikula-1.1.1-6.fc10.src.rpm
Description: Zikula is a free open source Web Application Framework. It can be used to develop robust, secure, interactive and editable websites and web based applications. Zikula is written in PHP object oriented and fully modular. It requires a database and may use all leading database platforms like MySQL, PostgreSQL and Microsoft SQL Server. Zikula is the successor to the PostNuke project.


rpmlint output: 
[ke4qqq@nalleyt61 SPECS]$ rpmlint zikula.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../SRPMS/zikula-1.1.1-6.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/noarch/zikula-1.1.1-6.fc10.noarch.rpm 
zikula.noarch: W: non-standard-uid /var/lib/zikula/pnTemp/pnRender_cache apache
zikula.noarch: W: non-standard-gid /var/lib/zikula/pnTemp/pnRender_cache apache
zikula.noarch: W: non-standard-uid /var/lib/zikula/pnTemp/pnRender_compiled apache
zikula.noarch: W: non-standard-gid /var/lib/zikula/pnTemp/pnRender_compiled apache
zikula.noarch: W: non-standard-uid /var/lib/zikula/pnTemp/adodb apache
zikula.noarch: W: non-standard-gid /var/lib/zikula/pnTemp/adodb apache
zikula.noarch: W: non-standard-gid /etc/zikula/config.php apache
zikula.noarch: W: non-standard-uid /var/lib/zikula/pnTemp/Xanthia_cache apache
zikula.noarch: W: non-standard-gid /var/lib/zikula/pnTemp/Xanthia_cache apache
zikula.noarch: W: non-standard-uid /var/lib/zikula/pnTemp/pntemp.xml apache
zikula.noarch: W: non-standard-gid /var/lib/zikula/pnTemp/pntemp.xml apache
zikula.noarch: W: symlink-should-be-relative /usr/share/zikula/config/config.php /etc/zikula/config.php
zikula.noarch: W: non-standard-uid /var/lib/zikula/pnTemp/error_logs apache
zikula.noarch: W: non-standard-gid /var/lib/zikula/pnTemp/error_logs apache
zikula.noarch: W: non-standard-uid /var/lib/zikula/pnTemp/pnRender_compiled/readme.txt apache
zikula.noarch: W: non-standard-gid /var/lib/zikula/pnTemp/pnRender_compiled/readme.txt apache
zikula.noarch: W: non-standard-uid /var/lib/zikula/pnTemp/Xanthia_compiled apache
zikula.noarch: W: non-standard-gid /var/lib/zikula/pnTemp/Xanthia_compiled apache
zikula.noarch: W: non-standard-uid /var/lib/zikula/pnTemp/pnRender_cache/readme.txt apache
zikula.noarch: W: non-standard-gid /var/lib/zikula/pnTemp/pnRender_cache/readme.txt apache
zikula.noarch: W: non-standard-uid /var/lib/zikula apache
zikula.noarch: W: non-standard-gid /var/lib/zikula apache
zikula.noarch: W: non-standard-uid /var/lib/zikula/pnTemp apache
zikula.noarch: W: non-standard-gid /var/lib/zikula/pnTemp apache
zikula.noarch: W: non-standard-uid /var/lib/zikula/pnTemp/Xanthia_Config apache
zikula.noarch: W: non-standard-gid /var/lib/zikula/pnTemp/Xanthia_Config apache
1 packages and 0 specfiles checked; 0 errors, 26 warnings.


With regard to the above warnings - I personally don't see a way of getting around this short of perhaps changing permissions to permit apache to write, and it seems to make more sense to permit apache to own the directory, however I'll gladly take input on a better way to handle this. 

WRT the symlink warning - I think that's merely an issue with rpmlint, as you can see in the spec file I call symlinks to make the link relative. Again, I'll gladly take input on this.
Comment 1 David Nalley 2009-03-01 00:53:17 EST
Herlo pointed out an SElinux problem with /etc/zikula/config.php 

I fixed this. 

Spec URL: http://ke4qqq.fedorapeople.org/zikula.spec
SRPM URL: http://ke4qqq.fedorapeople.org/zikula-1.1.1-7.fc10.src.rpm
Comment 2 David Nalley 2009-03-01 01:40:33 EST
Yet another SELinux problem pointed about by herlo
Spec URL: http://ke4qqq.fedorapeople.org/zikula.spec
SRPM URL: http://ke4qqq.fedorapeople.org/zikula-1.1.1-8.fc10.src.rpm
Comment 3 Clint Savage 2009-03-01 01:42:21 EST
Reviewing http://ke4qqq.fedorapeople.org/zikula-1.1.1-7.fc10.src.rpm

Couple odd things after installed successfully, probably for upstream:

- The accept licence page has no content.
- The selinux context of the zikula/config.php is incorrect, should be
system_u:object_r:httpd_var_run_t:s0.  Similar to what you did for the
/etc/zikula directory
- Upon login to the administration section, the following errors appear

  *  Stop, please! Installer file 'install.php' and directory 'install' are in
the site root, but must be removed before you can access the Admin Panel.
  * Stop, please! An upgrade script (file 'upgrade.php') is in the site root,
but must be removed before you can access the Admin Panel.
  * Stop, please! An upgrade script (file 'upgrade10xto11x.php') is in the site
root, but must be removed before you can access the Admin Panel.

This could be fixed upstream by doing a little work to the install.php script. 
It could eliminate this unnecessary validation if it just removed/moved/chmod'd
the dirs themselves.

Finally, zikula insists the config.php be writable during the install process,
but once the install is completed, the admin section complains that it is
writable.  Again, the install process could make these changes simply.

Clint
Comment 4 Clint Savage 2009-03-01 01:55:49 EST
Reviwing http://ke4qqq.fedorapeople.org/zikula-1.1.1-8.fc10.src.rpm

$ rpmlint SPECS/zikula.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/zikula-1.1.1-8.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

No rpmlint errors. Quite a change from a few versions ago.

The SELinux error on config.php still exists, consider using semanage instead of just changing the context.  semanage makes the contexts stick.

Clint
Comment 5 David Nalley 2009-03-01 02:42:18 EST
so rpm doesn't honor xattr as I learned, I reverted earlier selinux changes and used semanage in a %post section to define a context for config.php and then restorecon 

Spec URL: http://ke4qqq.fedorapeople.org/zikula.spec
SRPM URL: http://ke4qqq.fedorapeople.org/zikula-1.1.1-9.fc10.src.rpm
Comment 6 Clint Savage 2009-03-07 02:01:02 EST
I'm pretty happy with the results in the latest rpm/spec you provided.  rpmlint is clean.  However, might I suggest you put the selinux changes into a %pre section?  It makes complete sense as the selinux context and parameter should be set prior to adding files which will get the context.

That's the last gripe I have.  Otherwise, everything works from install to activation with a database.

Cheers,

Clint
Comment 7 David Nalley 2009-03-08 17:35:47 EDT
Done 

Please find: 

Spec URL: http://ke4qqq.fedorapeople.org/zikula.spec
SRPM URL: http://ke4qqq.fedorapeople.org/zikula-1.1.1-10.fc10.src.rpm
Comment 8 David Nalley 2009-03-14 00:56:55 EDT
The semanage stuff in %pre had some problems and wouldn't always exit 0. 

Please find :

Spec URL: http://ke4qqq.fedorapeople.org/zikula.spec
SRPM URL: http://ke4qqq.fedorapeople.org/zikula-1.1.1-12.fc10.src.rpm
Comment 9 Clint Savage 2009-03-18 00:08:09 EDT
This appears to work well now.  I'm putting my stamp of approval on the package and sending it on.

Clint
Comment 10 David Nalley 2009-03-18 00:13:04 EDT
New Package CVS Request
=======================
Package Name: zikula
Short Description: web-based CMS
Owners: ke4qqq
Branches: F-9 F-10 EL5
InitialCC:
Comment 11 Kevin Fenzi 2009-03-19 22:52:24 EDT
You may want to ping dwalsh and just get the selinux changes you need made to the policy. 

cvs done.
Comment 12 Fedora Update System 2009-03-20 14:50:40 EDT
zikula-1.1.1-12.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/zikula-1.1.1-12.fc9
Comment 13 Fedora Update System 2009-03-20 14:50:46 EDT
zikula-1.1.1-12.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/zikula-1.1.1-12.fc10
Comment 14 Fedora Update System 2009-03-23 11:53:24 EDT
zikula-1.1.1-12.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-03-23 12:00:39 EDT
zikula-1.1.1-12.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.